
textures/engr_demo/engr_red
{
	qer_editorimage textures/engr_demo/engr_red.tga
	q3map_lightimage textures/engr_demo/pitch_red.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/engr_demo/engr_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/engr_demo/engr_red.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/engr_demo/engr_blue
{
	qer_editorimage textures/engr_demo/engr_blue.tga
	q3map_lightimage textures/engr_demo/pitch_blue.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/engr_demo/engr_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/engr_demo/engr_blue.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/engr_demo/red_flash_P1
{
	qer_editorimage textures/lights/light_m25r.tga
	q3map_lightimage textures/lights/light_m25r.tga
	q3map_surfacelight 8000
	surfaceparm nopicmip
        surfaceparm nomipmaps
        surfaceparm nomarks
	{
		map textures/lights/light_m25r.tga
		rgbGen wave inversesawtooth -1 2 0 .5
	}
}

textures/engr_demo/red_flash_P2
{
	qer_editorimage textures/lights/light_m25r.tga
	q3map_lightimage textures/lights/light_m25r.tga
	q3map_surfacelight 8000
	surfaceparm nopicmip
        surfaceparm nomipmaps
        surfaceparm nomarks
	{
		map textures/lights/light_m25r.tga
		rgbGen wave inversesawtooth -1 2 .25 .5
	}
}


textures/engr_demo/red_flash_P3
{
	qer_editorimage textures/lights/light_m25r.tga
	q3map_lightimage textures/lights/light_m25r.tga
	q3map_surfacelight 8000
	surfaceparm nopicmip
        surfaceparm nomipmaps
        surfaceparm nomarks
	{
		map textures/lights/light_m25r.tga
		rgbGen wave inversesawtooth -1 2 .5 .5
	}
}


textures/engr_demo/red_flash_P4
{
	qer_editorimage textures/lights/light_m25r.tga
	q3map_lightimage textures/lights/light_m25r.tga
	q3map_surfacelight 8000
	surfaceparm nopicmip
        surfaceparm nomipmaps
        surfaceparm nomarks
	{
		map textures/lights/light_m25r.tga
		rgbGen wave inversesawtooth -1 2 .75 .5
	}
}


textures/engr_demo/engr_sky
{
	nocompress
	qer_editorimage textures/skies/sky_8.tga
	q3map_lightimage textures/skies/n_blue2.tga
	q3map_nofog
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun 0.130 0.080 0.020 4 165 5
	q3map_sun 0.281 0.288 0.370 16 35 40
	q3map_sun 0.281 0.288 0.370 4 35 60
	q3map_sun 0.281 0.288 0.370 4 35 50
	q3map_sun 0.281 0.288 0.370 4 35 30
	q3map_sun 0.281 0.288 0.370 4 35 20
	q3map_sun 0.281 0.288 0.370 4 75 40
	q3map_sun 0.281 0.288 0.370 4 65 40
	q3map_sun 0.281 0.288 0.370 4 55 40
	q3map_sun 0.281 0.288 0.370 4 45 40
	q3map_sun 0.281 0.288 0.370 4 25 40
	q3map_sun 0.281 0.288 0.370 4 15 40
	q3map_sun 0.281 0.288 0.370 4 05 40
	q3map_sun 0.281 0.288 0.370 4 -5 40
	q3map_surfacelight 30

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	skyparms - 512 -
	sunshader textures/skies_sd/full_moon2.tga

	{
		map textures/skies_sd/wurzburg_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 5 5
		tcMod scroll 0.03 -0.015
	}
	{
		clampmap textures/skies_sd/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/engr_demo/super_grass
{
    q3map_nonplanar
    q3map_shadeangle 180
    qer_editorimage textures/temperate_sd/grass_dense1.tga
    surfaceparm landmine
    surfaceparm grasssteps
    
    {
        map $lightmap
        rgbGen identity
    }
    {
	map textures/temperate_sd/grass_dense1.tga
        blendFunc filter
    }
}

textures/engr_demo/super_riverbed
{
    q3map_nonplanar
    q3map_shadeangle 180
    qer_editorimage textures/stone/mxdebri0_riverbed.tga
   
    {
        map $lightmap
        rgbGen identity
    }
    {
	map textures/stone/mxdebri0_riverbed.tga
        blendFunc filter
    }
}

textures/engr_demo/gbar_germ
{
    q3map_nonplanar
    q3map_shadeangle 180
    qer_editorimage textures/engr_demo/gbar_germ.tga
    surfaceparm trans

    {
	map textures/engr_demo/gbar_germ.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/engr_demo/safety_glass
{
	qer_trans 0.5
	qer_editorimage textures/common/s_glass.tga
	cull disable
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/common/s_glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/engr_demo/smoked_acrylic
{
	qer_trans 0.5
	qer_editorimage textures/engr_demo/smoked_acrylic.tga
	cull disable
        q3map_nonplanar
        q3map_shadeangle 180
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm trans
	{
		map textures/engr_demo/smoked_acrylic.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/engr_demo/engr_terrain
{
	qer_editorimage textures/common/terrain.tga
	surfaceparm nodraw
}


